import request from '@/utils/request'

// 查询登录信息列表
export function listInfo(query) {
  return request({
    url: '/system/firing/list',
    method: 'get',
    params: query
  })
}

// 查询登录信息详细
export function getInfo(id) {
  return request({
    url: '/system/firing/' + id,
    method: 'get'
  })
}

// 新增登录信息
export function addInfo(data) {
  return request({
    url: '/system/firing',
    method: 'post',
    data: data
  })
}

// 修改登录信息
export function updateInfo(data) {
  return request({
    url: '/system/firing',
    method: 'put',
    data: data
  })
}

// 删除登录信息
export function delInfo(id) {
  return request({
    url: '/system/firing/' + id,
    method: 'delete'
  })
}
